@echo off
echo.
echo NAND Emulator files maker (c)Sorg
echo.

set IOSREV=.6944

if EXIST 0000000e.app goto p1

echo downloading kernel (0000000e)
wget -q -nc http://nus.cdn.shop.wii.com/ccs/download/0000000100000050/tmd%IOSREV%
if ERRORLEVEL 1 goto error
wget -q -nc http://nus.cdn.shop.wii.com/ccs/download/0000000100000050/cetk
if ERRORLEVEL 1 goto error
wget -q -nc http://nus.cdn.shop.wii.com/ccs/download/0000000100000050/0000000e
if ERRORLEVEL 1 goto error

decrypt 14 cetk tmd%IOSREV%
if ERRORLEVEL 1 goto error

if NOT EXIST 0000000e.app goto error

:p1

if EXIST 00000001.app goto dend

echo downloading DIP (00000001)
wget -q -nc http://nus.cdn.shop.wii.com/ccs/download/0000000100000050/tmd%IOSREV%
if ERRORLEVEL 1 goto error
wget -q -nc http://nus.cdn.shop.wii.com/ccs/download/0000000100000050/cetk
if ERRORLEVEL 1 goto error
wget -q -nc http://nus.cdn.shop.wii.com/ccs/download/0000000100000050/00000001
if ERRORLEVEL 1 goto error

decrypt 1 cetk tmd%IOSREV%
if ERRORLEVEL 1 goto error

if NOT EXIST 00000001.app goto error
goto dend

:error
echo ERROR!
goto end

:dend
del /Q 00000001 2>nul
del /Q 0000000e 2>nul
del /Q cetk 2>nul
del /Q tmd%IOSREV% 2>nul

echo.

:armboot

rmdir /S /Q bootmii 2>NUL
rmdir /S /Q NANDEmu_IOS253 2>NUL

if NOT EXIST 0000000E.app goto di
yn "make armboot.bin [Y/N]?"
if %ERRORLEVEL%==1 (
	mkdir bootmii 2>NUL
	makeNANDbin.exe armboot 0000000E.app bootmii\armboot.bin 1>NUL
)

:di

if NOT EXIST 00000001.app goto ios
yn "make di.bin [Y/N]?"
if %ERRORLEVEL%==1 (
	mkdir bootmii 2>NUL
	makeNANDbin.exe di 00000001.app bootmii\di.bin 1>NUL
)

:ios
if NOT EXIST bootmii\armboot.bin goto end
yn "make NANDEmu IOS253 installer [Y/N]?"
if %ERRORLEVEL%==1 (
	MakeIOSInstaller.exe bootmii\armboot.bin NANDEmu_IOS253 1>NUL
)

:end
echo.
pause
